fill {divDyn} | R Documentation

## Filling of missing values in a vector, based on the marginal values of the gaps

### Description

The function will loop through a vector and will substitute `NA` values with the value it last encountered or replaced.

### Usage

    fill(x, forward = TRUE, inc = 0)

### Arguments

`x` | `(vector)` Vector to be filled.
`forward` | `(logical)` Should the loop go forward or backward?
`inc` | `(numeric)` Only if `x` is `numeric`, the function will increase the substituted value by this amount (useful for filling in sequences).

### Details

`NA`s won't be substituted when they are the first values the loop encounters.

### Examples

    # forward, replace with previous
    dummy<- c(TRUE, FALSE, NA, TRUE, FALSE, NA)
    fill(dummy)

    # forward, replace with previous+1
    dummy2 <- c(1,NA, 3, 1, 2, NA, NA, 9, NA,3)
    fill(dummy2, inc=1)

    # backward, replace with previous in loop direction
    fill(dummy2, inc=0, forward=FALSE)

[Package divDyn version 0.8.0 Index]